additionalProperties:
  formFields:
    - default: vYneAbsXUhe4BghEeedNL7nfWLwaTTmhnwQMvjYOIG25Ofzghk
      edit: true
      envKey: SECRET_KEY
      labelEn: Cryptographic signing
      labelZh: 加密签名
      required: true
      type: password
      label:
        en: Cryptographic signing
        ja: 暗号署名
        ms: Tandatangan kriptografi
        pt-br: Assinatura criptográfica
        ru: Криптографическая подпись
        ko: 암호 서명
        zh-Hant: 加密簽名
        zh: 加密签名
    - default: K1ffDfLSIK8SV2PZj6VaxOiv8KuawlJK
      edit: true
      envKey: BOOTSTRAP_TOKEN
      labelEn: Bootstrap token
      labelZh: 认证令牌
      required: true
      type: password
      label:
        en: Bootstrap token
        ja: ブートストラップトークン
        ms: Token Bootstrap
        pt-br: Token de inicialização
        ru: Токен для начальной настройки
        ko: 부트 스트랩 토큰
        zh-Hant: 引導令牌
        zh: 认证令牌
    - default: "false"
      envKey: DEBUG
      labelEn: Debug mode
      labelZh: 调试模式
      required: true
      type: select
      values:
        - label: 开启
          value: "true"
        - label: 关闭
          value: "false"
      label:
        en: Debug mode
        ja: デバッグモード
        ms: Modus Debug
        pt-br: Modo de depuração
        ru: Режим отладки
        ko: 디버그 모드
        zh-Hant: 調試模式
        zh: 调试模式
    - default: "ERROR"
      envKey: LOG_LEVEL
      labelEn: Log level
      labelZh: 日志级别
      required: true
      type: select
      values:
        - label: DEBUG
          value: "DEBUG"
        - label: INFO
          value: "INFO"
        - label: WARNING
          value: "WARNING"
        - label: ERROR
          value: "ERROR"
        - label: CRITICAL
          value: "CRITICAL"
      label:
        en: Log level
        ja: ログレベル
        ms: Tahap log
        pt-br: Nível de log
        ru: Уровень журнала
        ko: 로그 레벨
        zh-Hant: 日誌級別
        zh: 日志级别
    - child:
        default: ""
        envKey: PANEL_DB_HOST
        required: true
        type: service
      default: postgresql
      envKey: PANEL_DB_TYPE
      labelEn: Database Service
      labelZh: 数据库服务
      required: true
      type: apps
      values:
        - label: PostgreSQL
          value: postgresql
        - label: MySQL
          value: mysql
        - label: MariaDB
          value: mariadb
      label:
        en: Database Service
        ja: データベースサービス
        ms: Perkhidmatan Pangkalan Data
        pt-br: Serviço de Banco de Dados
        ru: Сервис баз данных
        ko: 데이터베이스 서비스
        zh-hant: 資料庫服務
        zh: 数据库服务
    - default: jumpserver
      envKey: PANEL_DB_NAME
      labelEn: Database
      labelZh: 数据库
      random: true
      required: true
      rule: paramCommon
      type: text
      label:
        en: Database
        ja: データベース
        ms: Pangkalan Data
        pt-br: Banco de Dados
        ru: База данных
        ko: 데이터베이스
        zh-hant: 資料庫
        zh: 数据库
    - default: jumpserver
      envKey: PANEL_DB_USER
      random: true
      required: true
      rule: paramCommon
      type: text
      labelEn: Database User
      labelZh: 数据库用户
      label:
        en: Database User
        ja: データベースユーザー
        ms: Pengguna Pangkalan Data
        pt-br: Usuário do Banco de Dados
        ru: Пользователь базы данных
        ko: 데이터베이스 사용자
        zh-hant: 資料庫用戶
        zh: 数据库用户
    - default: jumpserver
      envKey: PANEL_DB_USER_PASSWORD
      labelEn: Database User Password
      labelZh: 数据库用户密码
      random: true
      required: true
      type: password
      label:
        en: Database Password
        ja: データベースのパスワード
        ms: Kata Laluan Pangkalan Data
        pt-br: Senha do Banco de Dados
        ru: Пароль базы данных
        ko: 데이터베이스 비밀번호
        zh-hant: 資料庫密碼
        zh: 数据库密码
    - default: ""
      edit: true
      envKey: PANEL_REDIS_HOST
      key: redis
      labelEn: Redis Service
      labelZh: 缓存服务服务
      required: true
      type: service
      label:
        en: Redis Service
        ja: Redis サービス
        ms: Perkhidmatan Redis
        pt-br: Serviço Redis
        ru: Сервис Redis
        ko: Redis 서비스
        zh-Hant: Redis 服務
        zh: Redis 服务
    - default: ""
      edit: true
      envKey: PANEL_REDIS_ROOT_PASSWORD
      labelEn: Redis service password
      labelZh: Redis 服务密码
      required: true
      type: password
      label:
        en: Redis service password
        ja: Redis サービスのパスワード
        ms: Kata laluan perkhidmatan Redis
        pt-br: Senha do serviço Redis
        ru: Пароль службы Redis
        ko: Redis 서비스 비밀번호
        zh-Hant: Redis 服務密碼
        zh: Redis 服务密码
    - default: 'true'
      edit: true
      envKey: WITH_NGINX
      labelEn: Use the built-in nginx service
      labelZh: 使用内置的 Nginx 服务
      label:
        en: Use the built-in nginx service
        ja: 組み込みの Nginx サービスを使用してください
        ms: Gunakan perkhidmatan Nginx terbina dalam
        pt-br: Use o serviço Nginx incorporado
        ru: Используйте встроенный сервис Nginx
        ko: 내장된 Nginx 서비스를 사용하세요
        zh-hant: 使用內建的 Nginx 服務
        zh: 使用内置的 Nginx 服务
      required: true
      type: select
      values:
        - label: "Yes, I want to use the built-in Nginx service."
          value: "true"
        - label: "No, I will set up the Nginx reverse proxy myself."
          value: "false"
    - default: 8080
      edit: true
      envKey: PANEL_APP_PORT_HTTP
      labelEn: HTTP Port
      labelZh: HTTP 端口
      required: true
      rule: paramPort
      type: number
      label:
        en: HTTP Port
        ja: HTTP ポート
        ms: HTTP Port
        pt-br: HTTP Porta
        ru: HTTP Порт
        ko: HTTP 포트
        zh-Hant: HTTP 埠
        zh: HTTP 端口
    - default: 2222
      edit: true
      envKey: SSH_PORT
      labelEn: SSH port
      labelZh: SSH 端口
      required: true
      rule: paramPort
      type: number
      label:
        en: SSH Port
        ja: SSH ポート
        ms: SSH Port
        pt-br: SSH Porta
        ru: SSH Порт
        ko: SSH 포트
        zh-Hant: SSH 埠
        zh: SSH 端口
    - default: ""
      edit: true
      envKey: DOMAINS
      labelEn: DOMAINS
      labelZh: 域名
      type: text
      label:
        en: DOMAINS
        ja: ドメイン
        ms: DOMAIN
        pt-br: DOMÍNIOS
        ru: ДОМИНЫ
        ko: 도메인
        zh-Hant: 域名
        zh: 域名